Автор Тема: Как установить драйвер МФУ Canon i-SENSYS MF3010 в Альт Образование 10.1?  (Прочитано 2612 раз)

Оффлайн Aleksand

  • Давно тут
  • **
  • Сообщений: 96
Как установить драйвер МФУ Canon i-SENSYS MF3010 в Альт Образование 10.1?
Драйвер принтера с официального сайта UFR II/UFRII LT для Linux V5.60
выдает ошибку:
apt-get install /home/adminya/Загрузки/linux-UFRII-drv-v560-m17n/x64/RPM/cnrdrvcups-ufr2-uk-5.60-1.10.x86_64.rpm
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Выбрано cnrdrvcups-ufr2-uk для '/home/adminya/Загрузки/linux-UFRII-drv-v560-m17n/x64/RPM/cnrdrvcups-ufr2-uk-5.60-1.10.x86_64.rpm'
Некоторые пакеты установить невозможно. Это может означать, что Вы
потребовали невозможного, либо пользуетесь нестабильным репозиторием.
Часть необходимых пакетов либо ещё не создана, либо была удалена
из каталога 'Входящие'.

Так как для выполнения Вашего запроса достаточно одной операции, то
скорее всего этот пакет просто невозможно установить. Сообщите, пожалуйста,
об этом как о найденной ошибке в пакете.
Эти сведения могут помочь найти выход из ситуации:

Следующие пакеты имеют неудовлетворенные зависимости:
  cnrdrvcups-ufr2-uk: Требует: jbigkit-libs но пакет не может быть установлен
                      Требует: libjpeg-turbo но пакет не может быть установлен
E: Извините, `битые' пакеты

Сканер сканирует.


Оффлайн Александр Ерещенко

  • Завсегдатай
  • *
  • Сообщений: 1 158
Попробуйте совет отсюда(с перепаковкой через eepm) https://forum.altlinux.org/index.php?topic=46350.msg371491#msg371491

Оффлайн Aleksand

  • Давно тут
  • **
  • Сообщений: 96
Попробуйте совет отсюда(с перепаковкой через eepm)
Пробовал. Не появился:
epmi /home/komp/Загрузки/linux-UFRII-drv-v560-m17n-10-alt1.repacked.with.epm.2.x86_64.rpm
 # rpm -Uvh /home/komp/Загрузки/linux-UFRII-drv-v560-m17n-10-alt1.repacked.with.epm.2.x86_64.rpm
Подготовка...                           ################################# [100%]
Обновление / установка...
1: linux-UFRII-drv-v560-m17n-10-alt1.rep################################# [100%]
Running /usr/lib/rpm/posttrans-filetriggers

Далее ходил вглубь по вашей ссылке, набрел на вики. Установил этот драйвер: linux-UFRII-drv-v340-uken.tar.gz.
Принтер появился в CUPS, установил его через PPD, но он все равно не печатает.
Сейчас принтер выглядит так:
Canon_MF3010
Canon_MF3010 (ожидает, принимает задания, нет совместного доступа )
Описание: Canon MF3010
Расположение:
Драйвер: Canon MF3010 (черно-белый)
Подключение: cnusb:/dev/usb/lp0
По умолчанию: job-sheets=none, none media=iso_a4_210x297mm sides=one-sided

Оффлайн NickM

  • Завсегдатай
  • *
  • Сообщений: 900
Подключение:   cnusb:/dev/usb/lp0
Модуль usblp случаем не в блэклист?

Оффлайн Aleksand

  • Давно тут
  • **
  • Сообщений: 96
Заработало! (кровушки конечно Альт из меня уже изрядно испил...).

Альт Образование 10.1, МФУ Canon i-SENSYS MF3010.

Отсюда: https://www.altlinux.org/%D0%9F%D1%80%D0%B8%D0%BD%D1%82%D0%B5%D1%80%D1%8B_Canon
Помог этот мануал:
Другой вариант с использованием Canon UFRII

Взять на сервере Canon драйвер (в моём случае это linux-UFRII-drv-v520-uken-05.tar.gz) Скачать можно здесь repo Canon

Распаковать архив.

apt-get install ./linux-UFRII-drv-v520-uken/64-bit_Driver/RPM/cnrdrvcups-ufr2-uk-5.20-1.x86_64.rpm

Настраиваем принтер через web интерфейс cups, всё.

Был ли смысл в установке этого или не было, но я это установил чуть раньше:
$ su -
(минус обязателен)
# apt-get update
# apt-get install libturbojpeg i586-libturbojpeg i586-libbeecrypt7 libbeecrypt7 libbeecrypt-devel i586-libbeecrypt-devel i586-libjbig  libjbig i586-libjbig-devel.32bit jbig-utils libjbig-devel i586-libxml2 libxml2 i586-glibc-core i586-libstdc++6 libstdc++6 libgcrypt20 i586-libgcrypt20 i586-libgcrypt-devel libgcrypt-devel i586-libjpeg.32bit i586-libzstd.32bit libzstd libglade i586-libgladeui2.0.32bit i586-libglade.32bit libglade-devel libncurses i586-libncurses.32bit i586-liblzma.32bit

Самый свежий драйвер с сайта Canon: UFR II/UFRII LT для Linux V5.60, так и не заработал.

Оффлайн olegdoma

  • Начинающий
  • *
  • Сообщений: 11
То же самое. Драйвер 5.7 не работает.
Драйвер 5.2 сканирует, но не печатает

Оффлайн olegdoma

  • Начинающий
  • *
  • Сообщений: 11
Заработало! (кровушки конечно Альт из меня уже изрядно испил...).
Есть готовый файл? В линуксе ничерта не шарю. Весь мозг сломал

Оффлайн Aleksand

  • Давно тут
  • **
  • Сообщений: 96
Есть готовый файл? В линуксе ничерта не шарю. Весь мозг сломал
https://disk.yandex.ru/d/cb5P3RYgGsvRCQ

Оффлайн olegdoma

  • Начинающий
  • *
  • Сообщений: 11
Есть готовый файл? В линуксе ничерта не шарю. Весь мозг сломал
https://disk.yandex.ru/d/cb5P3RYgGsvRCQ
Спасибо большое.
Завтра попробую

Оффлайн igorigor76

  • Завсегдатай
  • *
  • Сообщений: 651
Чуть меньше года назад на SL 10 x86_64 для подключения Canon i-SENSYS MF3010 использовал эти пакеты:
# rpm -qa | grep cndrv*
cndrvcups-common-3.90-1.x86_64
cndrvcups-ufr2-uk-3.50-1.x86_64
cndrvcups-utility-1.10-1.x86_64
https://disk.yandex.ru/d/gspDgO3FJDpfpQ